import React from 'react';
import { connect } from "react-redux";

import './profile.scss';

import manAvatar from '../../assets/img/man.svg';
import womanAvatar from '../../assets/img/woman.svg';

import Sidebar from '../../components/sidebar/Sidebar';

export class Profile extends React.Component {
    render() {
    console.log('profileUser',JSON.parse(localStorage.user).user);
    const user = JSON.parse(localStorage.user).user;
    
        return (
            <>
                <Sidebar/>
                <div className="container-wrap events profile">
                    <div className="caption-page">
                        <h5>Profile page</h5>
                        <h2>{ user.name }</h2>
                    </div>
                </div>
                <div className="container-wrap">
                    <div className="profile-card">
                        <div className="avatar">
                            {
                                <img src={user.sex === "female" ? womanAvatar :manAvatar } alt="avatar" />
                            }
                        </div>
                        <div className="user-info">
                            <div className="item">
                                <span className="cap">Name:</span>
                                <span className="info">{user.name}</span>
                            </div>
                            <div className="item">
                                <span className="cap">E-mail:</span>
                                <span className="info">{user.email}</span>
                            </div>
                            <div className="item">
                                <span className="cap">Phone:</span>
                                <span className="info">{user.phone}</span>
                            </div>
                            <div className="item">
                                <span className="cap">Gender:</span>
                                <span className="info">{user.sex}</span>
                            </div>
                        </div>
                    </div>

                    <div className="profile-tabs-wrap">
                        <div className="tabs-main">
                            <input id="tab1" type="radio" name="tabs" checked readOnly hidden/>
                            <label htmlFor="tab1">History</label>

                            <input id="tab2" type="radio" name="tabs" readOnly hidden/>
                            <label htmlFor="tab2">Settings</label>

                            <div className="tab-item" id="content1">
                                <p>
                                    Jerky jowl pork chop tongue, kielbasa shank venison. Capicola shank pig ribeye leberkas filet mignon brisket beef kevin tenderloin porchetta. Capicola fatback venison shank kielbasa, drumstick ribeye landjaeger beef kevin tail meatball pastrami prosciutto pancetta. Tail kevin spare ribs ground round ham ham hock brisket shoulder. Corned beef tri-tip leberkas flank sausage ham hock filet mignon beef ribs pancetta turkey.
                                </p>
                                <p>
                                    Bacon ipsum dolor sit amet landjaeger sausage brisket, jerky drumstick fatback boudin.
                                </p>
                            </div>

                            <div className="tab-item" id="content2">
                                <p>
                                    Bacon ipsum dolor sit amet landjaeger sausage brisket, jerky drumstick fatback boudin.
                                </p>
                                <p>
                                    Jerky jowl pork chop tongue, kielbasa shank venison. Capicola shank pig ribeye leberkas filet mignon brisket beef kevin tenderloin porchetta. Capicola fatback venison shank kielbasa, drumstick ribeye landjaeger beef kevin tail meatball pastrami prosciutto pancetta. Tail kevin spare ribs ground round ham ham hock brisket shoulder. Corned beef tri-tip leberkas flank sausage ham hock filet mignon beef ribs pancetta turkey.
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </>
        )
    }
}

const mapStateToProps = state => {
    return {
        user: state.login.user
    };
};

export default connect(
    mapStateToProps
)(Profile);